/*
	main.c
	--------------------------------------------
	Testprogram
	THIS NEEDS ROOT RIGHTS
*/
#include <lindmx.h>
#include <stdio.h>
#include <unistd.h> /* for sleep */


/**
 * This is an example on how to create an LINDMX 
 * instance and how to set channels to a given value
**/
int main()
{
	/* create object with 25 channels */
	LINDMX dmx = lindmx_create(25);
	if(lindmx_get_err(dmx) != 0) printf("Error: %s [%d]\n", lindmx_get_err_str(dmx), lindmx_get_err(dmx));
	sleep(1);

	/* at first lets set all channels to zero 
     * you could also use: lindmx_set_all(0, dmx)
     */
	lindmx_reset_channels(dmx);

	/* create a first lighting scene */
	printf("scene 1\n");
	/* this sets channel 0 to 150 and channel 1 to 20 */
	if( lindmx_set(0, 150, dmx) <= 0) printf("Error!\n");
	if( lindmx_set(1, 20, dmx) <= 0)  printf("Error!\n");
	/* sleep for a while to see what the lamps will do */
	sleep(3);

	/* create a second lighting scene */
	printf("scene 2\n");
	if( lindmx_set(0, 20, dmx) <= 0)  printf("Error!\n");
	if( lindmx_set(1, 150, dmx) <= 0) printf("Error!\n");
	/* sleep for a while */
	sleep(3);

	/* reset channels */
	if( lindmx_reset_channels(dmx) <= 0) printf("Error!\n");

	/* destroy and disconnect */
	lindmx_destroy(dmx);

	return 0;
}


