/**
 * @file confreader.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * Config parsing for lindmx
**/
#ifndef CONFREADER_H
#define CONFREADER_H

/* Needs stdio for FILE* */
#include <stdio.h>
#define CONFREADER_BUFLEN	255

typedef struct confreader
{
	/* The config files file-pointer */
	FILE *fp;
	/* The original config filename */
	const char *filename;
	/* Current line number */
	int line;
	/* Current options buffer */
	char option_buffer[CONFREADER_BUFLEN];
} confreader_t;


/* functions */
confreader_t *confreader_init(const char*);
void confreader_destroy(confreader_t*);
const char *confreader_getNextOption(char*, int, confreader_t*);

#endif /* CONFREADER_H */
