/**
 * @file modules/dmxmodule.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * Selects and uses an DMX Interface
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
**/
#ifndef DMXMODULE_H
#define DMXMODULE_H

/* Define interface ids */
#define DMXMODULE_SIMULATE       0
#define DMXMODULE_DMX4ALL        1
#define DMXMODULE_DMX4ALL_TCP    2
#define DMXMODULE_DMX4ALL_UDP    3

/* init an interface */
int dmxmodule_init(const char*, int, const char *ifip, int port);
/* clean up an interface */
void dmxmodule_destroy();
/* set all channels to zero */
int dmxmodule_reset_channels();
/* set all channels to a given value */
int dmxmodule_set_all(int);
/* sets a single channel to a value */
int dmxmodule_set(int, int);

#endif /* DMXMODULE_H */
